%define		rname mod_url
Summary:	Apache2 URL module
Summary(ko): 아파치2 URL 모듈
Name:		httpd-url
Version:	1.25
Release:	1%{?dist}
Epoch:		1
License:	GPL2
Group:		System Environment/Daemons
URL:		http://cvs.oops.org
Source0:	%{rname}-apache2-%{version}.tar.bz2
Source1:	url.conf
Patch0:		mod_url-build.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
Requires: httpd

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
This module is convert uri charset that you want.

%prep
%setup -q -n %{rname}-apache2-%{version}
%patch0 -p1

%build
%{__make} %{?_smp_mflags} APXS=%{_bindir}/apxs

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__install} -m 755 .libs/mod_url.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/url.conf
%{_moddir}/mod_url.so

%changelog
* Wed Feb  3 2016 JoungKyun.Kim <http://oops.org> 1:r1.25-1%{?dist}
- update 1.25

* Wed Nov 11 2015 JoungKyun.Kim <http://oops.org> 1:r1.21-1%{?dist}
- rebuilt on AN3

* Tue Mar 25 2014 JountKyun.Kim <http://oops.org> 1:r1.21-1%{?dist}
- update 1.21
- remove mod_userdir dependency

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:r1.16-1%{?dist}
- first packaging
